# studio::RedBlueLevelSelector Class Reference

`#include <dialog_setup.h>`

List of all members.

## Public Member Functions

| RedBlueLevelSelector ()
| ~RedBlueLevelSelector ()
sigc::signal< void > & | signal_value_changed ()
void | set_value (float x)
const float & | get_value () const
bool | redraw (GdkEventExpose *bleh=NULL)
bool | on_event (GdkEvent *event)

## Constructor & Destructor Documentation

RedBlueLevelSelector::RedBlueLevelSelector | ( |  | ) |

References redraw().

RedBlueLevelSelector::~RedBlueLevelSelector | ( |  | ) |

## Member Function Documentation

sigc::signal<void>& studio::RedBlueLevelSelector::signal_value_changed | ( |  | ) | `[inline]`

void studio::RedBlueLevelSelector::set_value | ( | float | x | ) | `[inline]`

Referenced by studio::Dialog_Setup::refresh().

const float& studio::RedBlueLevelSelector::get_value | ( |  | ) | const`[inline]`

bool RedBlueLevelSelector::redraw | ( | GdkEventExpose * | bleh = `NULL` | ) |

References synfigapp::Action::create().

Referenced by RedBlueLevelSelector().

bool RedBlueLevelSelector::on_event | ( | GdkEvent * | event | ) |

The documentation for this class was generated from the following files:

- dialog_setup.h
- dialog_setup.cpp